#include "reachability.h"
#include<time.h>

int main(int argc, char **argv)
{

	clock_t str,end,tot;
	FILE *fr;
	int from,to,numNodes,numEdges;
	fr=fopen(argv[1],"r");	// input file is 1st argument
	gm_graph G;	//create empty graph
	fscanf(fr,"%d",&numNodes);
	fscanf(fr,"%d",&numEdges);	
	for(int i=0;i<numNodes;i++)	G.add_node();	//Add nodes 0 to numNodes-1
	for(int i=0;i<numEdges;i++)	//Add corresponding edges
	{
		fscanf(fr,"%d %d",&from,&to);
		G.add_edge(from,to);
	}
	node_t a=atoi(argv[2]);
	node_t b=atoi(argv[3]);
	str = clock();
	if(conductance(G,a,b))	printf("Reachable\n");
	else printf("Not reachable\n");
	end = clock();
	tot = (double)(end - str) / CLOCKS_PER_SEC;
	printf("Total time taken by CPU: %f\n", tot  );
	return 0;
}
